Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1795974 - Review Request: intel-clear-sans-fonts - A sharp on-screen sans-serif font
Summary: Review Request: intel-clear-sans-fonts - A sharp on-screen sans-serif font
Keywords:
Status: CLOSED DUPLICATE of bug 1811295
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Adam Borowski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-29 11:29 UTC by Adam Borowski
Modified: 2020-03-25 13:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-25 13:46:34 UTC
Type: ---
mavit: fedora-review+


Attachments (Terms of Use)

Description Adam Borowski 2020-01-29 11:29:19 UTC
Spec URL: https://angband.pl/tmp/fedora/intel-clear-sans-fonts.spec
SRPM URL: https://angband.pl/tmp/fedora/intel-clear-sans-fonts-1.00-1.fc32.src.rpm
Description: A sharp on-screen sans-serif font
Fedora Account System Username: kilobyte

The TTF name of the public release of the font is "Clear Sans", but there's also "Intel Clear".  I've thus added a fontconfig snippet to make the latter an alias.

Comment 1 Peter Oliver 2020-02-14 13:08:28 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License (v2.0)", "Unknown or generated",
     "Apache License (v2.0)". 24 files have unknown license. Detailed
     output of licensecheck in /home/mavit/1795974-intel-clear-sans-
     fonts/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

fonts:
[x]: Run repo-font-audit on all fonts in package.
[x]: Run ttname on all fonts in package.
     Note: ttname analyze results in fonts/ttname.log.


Rpmlint
-------
Checking: intel-clear-sans-fonts-1.00-1.fc32.noarch.rpm
          intel-clear-sans-fonts-1.00-1.fc32.src.rpm
intel-clear-sans-fonts.noarch: W: no-documentation
intel-clear-sans-fonts.noarch: W: hidden-file-or-dir /usr/share/fonts/intel-clear-sans/.uuid
intel-clear-sans-fonts.noarch: E: non-readable /usr/share/fonts/intel-clear-sans/.uuid 0
2 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_GB.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_GB.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
intel-clear-sans-fonts.noarch: W: invalid-url URL: https://01.org/clear-sans <urlopen error [Errno -2] Name or service not known>
intel-clear-sans-fonts.noarch: W: no-documentation
intel-clear-sans-fonts.noarch: W: hidden-file-or-dir /usr/share/fonts/intel-clear-sans/.uuid
intel-clear-sans-fonts.noarch: E: non-readable /usr/share/fonts/intel-clear-sans/.uuid 0
1 packages and 0 specfiles checked; 1 errors, 3 warnings.



Source checksums
----------------
https://01.org/sites/default/files/downloads/clear-sans/clearsans-1.00.zip :
  CHECKSUM(SHA256) this package     : 41809a296870dd7b4753d6532b4093821d61f9806281e6c053ccb11083ad1190
  CHECKSUM(SHA256) upstream package : 41809a296870dd7b4753d6532b4093821d61f9806281e6c053ccb11083ad1190


Requires
--------
intel-clear-sans-fonts (rpmlib, GLIBC filtered):
    config(intel-clear-sans-fonts)
    fontpackages-filesystem



Provides
--------
intel-clear-sans-fonts:
    config(intel-clear-sans-fonts)
    font(clearsans)
    font(clearsanslight)
    font(clearsansmedium)
    font(clearsansthin)
    intel-clear-sans-fonts



Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review --bug 1795974
Buildroot used: fedora-rawhide-x86_64
Active plugins: fonts, Shell-api, Generic
Disabled plugins: R, Python, Haskell, SugarActivity, Java, Perl, C/C++, Ocaml, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Nicolas Mailhot 2020-02-14 13:30:38 UTC
See also:

https://copr.fedorainfracloud.org/coprs/nim/fonts-rpm-macros/package/intel-clear-sans-fonts/

I don’t especially want to end up as Clear Sans Fedora maintainer (I have more than enough things on my plate already) but the packaging will need to be converted to the Fonts Guidelines FPC approved yesterday, as soon as the corresponding macro package hits fedora devel and fedora 32

Comment 3 Adam Borowski 2020-02-14 14:22:27 UTC
Hmm... if you've already did the work, it'd probably be better for you to take it.  Our upstream isn't very likely to produce frequent (or any) updates — Intel isn't exactly known for font making.

I'm a part of the fonts team of another distribution (one with a red swirl...), but I have never packaged any font for a RPM distribution before, thus teaching me for an one-off piece is probably not worth your time.

One improvement your packaging doesn't have is a fontconfig alias from "Intel Clear" to "Clear Sans" (the first name tends to come in documents from Intel, the second is one on publicly released font), but even that I've mindlessly lifted from Debian, so it probably fails to obey Fedora rules wrt. eg. sequence numbers.

Comment 4 Nicolas Mailhot 2020-02-14 14:32:28 UTC
Hey, don't give up, the guidelines changes mostly simplify the spec part of the packaging, and it would be nice to have people from other packager teams taking a look as what we do in Fedora, if only to tell us when our choices are braindamaged.

As you wrote upstream is not likely to change so it won't be an heavy maintenance package either way

Comment 5 Nicolas Mailhot 2020-03-07 09:56:20 UTC
FPC has now published the new guidelines:
https://docs.fedoraproject.org/en-US/packaging-guidelines/FontsPolicy/

They are operational in F33, F32, and queued to F31 (only in testing for now)

The bulk of the initial converted font package set made it to F32 before feature freeze.

In addition of additional new font packages were reviewed and build (including packagers others created since the guideline publication)

I’m going to post a full status summary to the devel and fonts lists later in the day.

If you intend to finish the packaging of those fonts, please convert the package to the new guidelines and build the result in koji. You have an example in:
https://copr.fedorainfracloud.org/coprs/nim/fonts-rpm-macros/package/intel-clear-sans-fonts/

Alternatively, if you don’t intend to pursue the packaging, close this issue and we’ll continue in
https://bugzilla.redhat.com/show_bug.cgi?id=1811295

(I’ve zero wish to take over someone else’s fine attempt at packaging, I don’t need any new package to my name, I already have more than enough of those, but I don’t want this fine font absent from Fedora forever)

Comment 6 Nicolas Mailhot 2020-03-25 13:46:34 UTC
Ok, I believe we’ve all waited long enough

*** This bug has been marked as a duplicate of bug 1811295 ***


Note You need to log in before you can comment on or make changes to this bug.